# DataExchange
TKVRML
Vrml

# Vrml_IndexedFaceSet Class Reference

defines a IndexedFaceSet node of VRML specifying geometry shapes.
This node represents a 3D shape formed by constructing faces (polygons) from
vertices located at the current coordinates. IndexedFaceSet uses the indices
in its coordIndex to define polygonal faces. An index of -1 separates faces
(so a -1 at the end of the list is optional).

`#include <Vrml_IndexedFaceSet.hxx>`

## Public Member Functions

Standard_EXPORT | Vrml_IndexedFaceSet (const Handle(TColStd_HArray1OfInteger)&aCoordIndex, const Handle(TColStd_HArray1OfInteger)&aMaterialIndex, const Handle(TColStd_HArray1OfInteger)&aNormalIndex, const Handle(TColStd_HArray1OfInteger)&aTextureCoordIndex)
Standard_EXPORT | Vrml_IndexedFaceSet ()
Standard_EXPORT void | SetCoordIndex (const Handle(TColStd_HArray1OfInteger)&aCoordIndex)
Standard_EXPORT Handle_TColStd_HArray1OfInteger | CoordIndex () const
Standard_EXPORT void | SetMaterialIndex (const Handle(TColStd_HArray1OfInteger)&aMaterialIndex)
Standard_EXPORT Handle_TColStd_HArray1OfInteger | MaterialIndex () const
Standard_EXPORT void | SetNormalIndex (const Handle(TColStd_HArray1OfInteger)&aNormalIndex)
Standard_EXPORT Handle_TColStd_HArray1OfInteger | NormalIndex () const
Standard_EXPORT void | SetTextureCoordIndex (const Handle(TColStd_HArray1OfInteger)&aTextureCoordIndex)
Standard_EXPORT Handle_TColStd_HArray1OfInteger | TextureCoordIndex () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HArray1OfInteger | myCoordIndex
Handle_TColStd_HArray1OfInteger | myMaterialIndex
Handle_TColStd_HArray1OfInteger | myNormalIndex
Handle_TColStd_HArray1OfInteger | myTextureCoordIndex

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_IndexedFaceSet::Vrml_IndexedFaceSet | ( | const Handle(TColStd_HArray1OfInteger)& | aCoordIndex,
|  | const Handle(TColStd_HArray1OfInteger)& | aMaterialIndex,
|  | const Handle(TColStd_HArray1OfInteger)& | aNormalIndex,
|  | const Handle(TColStd_HArray1OfInteger)& | aTextureCoordIndex
| ) |

Standard_EXPORT Vrml_IndexedFaceSet::Vrml_IndexedFaceSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TColStd_HArray1OfInteger Vrml_IndexedFaceSet::CoordIndex | ( |  | ) | const

Standard_EXPORT const Vrml_IndexedFaceSet::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfInteger Vrml_IndexedFaceSet::MaterialIndex | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfInteger Vrml_IndexedFaceSet::NormalIndex | ( |  | ) | const

Standard_EXPORT Standard_OStream& Vrml_IndexedFaceSet::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_IndexedFaceSet::SetCoordIndex | ( | const Handle(TColStd_HArray1OfInteger)& | aCoordIndex | ) |

Standard_EXPORT void Vrml_IndexedFaceSet::SetMaterialIndex | ( | const Handle(TColStd_HArray1OfInteger)& | aMaterialIndex | ) |

Standard_EXPORT void Vrml_IndexedFaceSet::SetNormalIndex | ( | const Handle(TColStd_HArray1OfInteger)& | aNormalIndex | ) |

Standard_EXPORT void Vrml_IndexedFaceSet::SetTextureCoordIndex | ( | const Handle(TColStd_HArray1OfInteger)& | aTextureCoordIndex | ) |

Standard_EXPORT Handle_TColStd_HArray1OfInteger Vrml_IndexedFaceSet::TextureCoordIndex | ( |  | ) | const

## Field Documentation

Handle_TColStd_HArray1OfInteger Vrml_IndexedFaceSet::myCoordIndex `[private]`

Handle_TColStd_HArray1OfInteger Vrml_IndexedFaceSet::myMaterialIndex `[private]`

Handle_TColStd_HArray1OfInteger Vrml_IndexedFaceSet::myNormalIndex `[private]`

Handle_TColStd_HArray1OfInteger Vrml_IndexedFaceSet::myTextureCoordIndex `[private]`

The documentation for this class was generated from the following file:

- Vrml_IndexedFaceSet.hxx